Notploy
Endpoint reference

Stripe

Stripe get Current Plan

GET
/stripe.getCurrentPlan
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getCurrentPlan"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Billing Status

GET
/stripe.getBillingStatus
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getBillingStatus"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Billing Overview

GET
/stripe.getBillingOverview
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getBillingOverview"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Plans

GET
/stripe.getPlans
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getPlans"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Usage

GET
/stripe.getUsage
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getUsage"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Payment Methods

GET
/stripe.getPaymentMethods
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getPaymentMethods"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Billing Contact

GET
/stripe.getBillingContact
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getBillingContact"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe start Free Trial

POST
/stripe.startFreeTrial
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

tier*string
Value in"hobby" | "startup"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/stripe.startFreeTrial" \  -H "Content-Type: application/json" \  -d '{    "tier": "hobby"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Products

GET
/stripe.getProducts
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getProducts"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe create Checkout Session

POST
/stripe.createCheckoutSession
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

tier*string
Value in"legacy" | "hobby" | "startup"
productId*string
serverQuantity*number
Range1 <= value
isAnnual*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/stripe.createCheckoutSession" \  -H "Content-Type: application/json" \  -d '{    "tier": "legacy",    "productId": "string",    "serverQuantity": 1,    "isAnnual": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe create Customer Portal Session

POST
/stripe.createCustomerPortalSession
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/stripe.createCustomerPortalSession"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe upgrade Subscription

POST
/stripe.upgradeSubscription
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

tier*string
Value in"hobby" | "startup"
serverQuantity*number
Range1 <= value
isAnnual*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/stripe.upgradeSubscription" \  -H "Content-Type: application/json" \  -d '{    "tier": "hobby",    "serverQuantity": 1,    "isAnnual": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe can Create More Servers

GET
/stripe.canCreateMoreServers
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.canCreateMoreServers"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe update Invoice Notifications

POST
/stripe.updateInvoiceNotifications
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

enabled*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/stripe.updateInvoiceNotifications" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Stripe get Invoices

GET
/stripe.getInvoices
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/stripe.getInvoices"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}